use strict;
use File::Find;
use XML::XPath;

my $path = "./";
my @files = ();

find sub{ push(@files, $File::Find::dir) if $File::Find::name=~/install.rdf/i}, $path;

mkdir('zipped');

foreach my $file (@files) {
  my $rdf = "$file/install.rdf";
  my $xp = XML::XPath->new(filename => $rdf);
  
  my $name = $xp->find('//RDF:Description/@em:name') ||
             $xp->find('//RDF:Description/name') || 
             $xp->find('//Description/em:name') || 
             $xp->find('//r:Description/name');
  

  $name =~s /[^A-Za-z0-9]/_/g;
  $file =~ s %./%%;
  
  print "$file -> $name\n";
  
  if($name) {
    `zipdir.bat "$file" "$name"`;
  } else {
    print "Can't find extension name for $file\n";
  }
}
